Imports System.Drawing
Namespace VBPats
  Public Class DoubleRect
    Inherits Rectangle
    Private redPen As Pen
    Public Sub New(ByVal x_ As Integer, ByVal y_ As Integer, _
                   ByVal h_ As Integer, ByVal w_ As Integer)
      MyBase.New(x_, y_, w_, h_)
      redPen = New Pen(Color.Red)
    End Sub
    Public Overrides Sub draw(ByVal g As Graphics)
      MyBase.draw(g)
      g.DrawRectangle(redPen, x + 4, y + 4, w, h)
    End Sub
  End Class
End Namespace
